Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CqlPreparedResult

    java.lang.Object
      org.apache.cassandra.thrift.CqlPreparedResult

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CqlPreparedResult>, org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>

    public class CqlPreparedResult

extends java.lang.Object
implements org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `CqlPreparedResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`int` | `count`
`int` | `itemId`
`static java.util.Map<CqlPreparedResult._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`java.util.List<java.lang.String>` | `variable_names`
`java.util.List<java.lang.String>` | `variable_types`

Constructor Summary
`CqlPreparedResult()`
`CqlPreparedResult(CqlPreparedResult other)` Performs a deep copy on other.
`CqlPreparedResult(int itemId, int count)`

Method Summary
`void` | `addToVariable_names(java.lang.String elem)`
`void` | `addToVariable_types(java.lang.String elem)`
`void` | `clear()`
`int` | `compareTo(CqlPreparedResult other)`
`CqlPreparedResult` | `deepCopy()`
`boolean` | `equals(CqlPreparedResult that)`
`boolean` | `equals(java.lang.Object that)`
`CqlPreparedResult._Fields` | `fieldForId(int fieldId)`
`int` | `getCount()`
`java.lang.Object` | `getFieldValue(CqlPreparedResult._Fields field)`
`int` | `getItemId()`
`java.util.List<java.lang.String>` | `getVariable_names()`
`java.util.Iterator<java.lang.String>` | `getVariable_namesIterator()`
`int` | `getVariable_namesSize()`
`java.util.List<java.lang.String>` | `getVariable_types()`
`java.util.Iterator<java.lang.String>` | `getVariable_typesIterator()`
`int` | `getVariable_typesSize()`
`int` | `hashCode()`
`boolean` | `isSet(CqlPreparedResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetCount()` Returns true if field count is set (has been assigned a value) and false otherwise
`boolean` | `isSetItemId()` Returns true if field itemId is set (has been assigned a value) and false otherwise
`boolean` | `isSetVariable_names()` Returns true if field variable_names is set (has been assigned a value) and false otherwise
`boolean` | `isSetVariable_types()` Returns true if field variable_types is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`CqlPreparedResult` | `setCount(int count)`
`void` | `setCountIsSet(boolean value)`
`void` | `setFieldValue(CqlPreparedResult._Fields field, java.lang.Object value)`
`CqlPreparedResult` | `setItemId(int itemId)`
`void` | `setItemIdIsSet(boolean value)`
`CqlPreparedResult` | `setVariable_names(java.util.List<java.lang.String> variable_names)`
`void` | `setVariable_namesIsSet(boolean value)`
`CqlPreparedResult` | `setVariable_types(java.util.List<java.lang.String> variable_types)`
`void` | `setVariable_typesIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetCount()`
`void` | `unsetItemId()`
`void` | `unsetVariable_names()`
`void` | `unsetVariable_types()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### itemId

    public int itemId

### count

    public int count

### variable_types

    public java.util.List<java.lang.String> variable_types

### variable_names

    public java.util.List<java.lang.String> variable_names

### metaDataMap

    public static final java.util.Map<CqlPreparedResult._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### CqlPreparedResult

    public CqlPreparedResult()

### CqlPreparedResult

    public CqlPreparedResult(int itemId,
                             int count)

### CqlPreparedResult

    public CqlPreparedResult(CqlPreparedResult other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public CqlPreparedResult deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>`

### getItemId

    public int getItemId()

### setItemId

    public CqlPreparedResult setItemId(int itemId)

### unsetItemId

    public void unsetItemId()

### isSetItemId

    public boolean isSetItemId()

  Returns true if field itemId is set (has been assigned a value) and false otherwise

### setItemIdIsSet

    public void setItemIdIsSet(boolean value)

### getCount

    public int getCount()

### setCount

    public CqlPreparedResult setCount(int count)

### unsetCount

    public void unsetCount()

### isSetCount

    public boolean isSetCount()

  Returns true if field count is set (has been assigned a value) and false otherwise

### setCountIsSet

    public void setCountIsSet(boolean value)

### getVariable_typesSize

    public int getVariable_typesSize()

### getVariable_typesIterator

    public java.util.Iterator<java.lang.String> getVariable_typesIterator()

### addToVariable_types

    public void addToVariable_types(java.lang.String elem)

### getVariable_types

    public java.util.List<java.lang.String> getVariable_types()

### setVariable_types

    public CqlPreparedResult setVariable_types(java.util.List<java.lang.String> variable_types)

### unsetVariable_types

    public void unsetVariable_types()

### isSetVariable_types

    public boolean isSetVariable_types()

  Returns true if field variable_types is set (has been assigned a value) and false otherwise

### setVariable_typesIsSet

    public void setVariable_typesIsSet(boolean value)

### getVariable_namesSize

    public int getVariable_namesSize()

### getVariable_namesIterator

    public java.util.Iterator<java.lang.String> getVariable_namesIterator()

### addToVariable_names

    public void addToVariable_names(java.lang.String elem)

### getVariable_names

    public java.util.List<java.lang.String> getVariable_names()

### setVariable_names

    public CqlPreparedResult setVariable_names(java.util.List<java.lang.String> variable_names)

### unsetVariable_names

    public void unsetVariable_names()

### isSetVariable_names

    public boolean isSetVariable_names()

  Returns true if field variable_names is set (has been assigned a value) and false otherwise

### setVariable_namesIsSet

    public void setVariable_namesIsSet(boolean value)

### setFieldValue

    public void setFieldValue(CqlPreparedResult._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(CqlPreparedResult._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>`

### isSet

    public boolean isSet(CqlPreparedResult._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(CqlPreparedResult that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(CqlPreparedResult other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<CqlPreparedResult>`

### fieldForId

    public CqlPreparedResult._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<CqlPreparedResult,CqlPreparedResult._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation